-- Customer specific once-script BLCC#37296.
--
-- (c) 2016  Facilitor B.V.
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xBLCC37296.lst
SET DEFINE OFF

-- Verplichte Doorbelasten-veld (201 voor Workorder en 202 voor Splitorder) op
-- Nee (= 282) zetten voor alle nog niet gesloten opdrachten!
/* Formatted on 18-8-2016 9:45:15 (QP5 v5.136.908.31019) */
INSERT INTO mld_kenmerkopdr (mld_opdr_key, mld_kenmerk_key, mld_kenmerkopdr_waarde)
   SELECT o.mld_opdr_key, DECODE (o.mld_typeopdr_key, 101, 201, 202), '282'
     FROM mld_opdr o
    WHERE o.mld_typeopdr_key IN (101, 102)             -- Workorder/Splitorder
          AND o.mld_statusopdr_key NOT IN (1, 2, 7)       -- Nog niet gesloten
          AND NOT EXISTS
                (SELECT 1
                   FROM mld_v_aanwezigkenmerkopdr ko, mld_kenmerk k
                  WHERE     ko.mld_kenmerk_key = k.mld_kenmerk_key
                        AND k.mld_srtkenmerk_key = 241  -- Doorbelasten Ja/Nee
                        AND ko.mld_opdr_key = o.mld_opdr_key);

COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
